Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get store orders

Prev Next
Get
/v2/inventory/storeOrders

Retrieve the list of store orders

Required permissions: READ_ORDERS.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Query parameters
size
integer

The number of elements to retrieve for the current page.

Minimum1.0
Example200
page
integer

The page number to retrieve (zero-based).

Minimum0.0
Example0
sort
string

The sorting criteria based on object properties.

Minimum0.0
Examplename,ASC
minCreationTimestamp
integer (int64)

Condition to get objects created after a specific timestamp.

Example1578438000000
maxCreationTimestamp
integer (int64)

Condition to get objects created before a specific timestamp.

Example1578438000000
language
string

The language used for data localization (e.g. EN, ES).

Exampleit
status
string

The order status.

Valid values[ "PENDING_ACCEPTANCE", "PENDING_SHIPPING", "SHIPPED", "DELIVERED" ]
Minimum1.0
Responses
200

Successful operation.

Expand All
object
content
Array of object (StoreOrder)
object
id
string
Example691714310c219b1d691be588
orderNumber
string
ExampleORD-000050
organizationId
string
Example661533adc04f90248aa739a2
parnterId
string
Example661533adc04f90248aa739a2
providerName
string
ExampleACME
buyer
object (OrderBuyer)
name
string
ExampleAbon Metal
code
string
ExampleC000050
email
string (email)
Examplebuyer@example.com
customerId
string
Example661fa918281ccf25619dc5cc
partnerId
string
Example661fa918281ccf25619dc5cc
items
Array of object (OrderItem)
object
type
string
Valid values[ "SPARE_PART" ]
ExampleSPARE_PART
itemId
string
Example66310cb2d8cab311e86d05d6
name
string
ExampleBi-metal band saw blade 8 TPI
code
string
ExampleSP-140506
quantity
integer
Minimum1.0
Example2
unitPrice
number (double)
Minimum0.0
Example14.9
total
number (double)
Example29.8
installationService
boolean
ExampleFalse
shippingLocation
object (ShippingLocation)
name
string
ExampleStretford, Mosley Rd
country
string
ExampleUnited Kingdom
city
string
ExampleStretford
zipCode
string
Example23563
address
string
ExampleMosley Rd
locationId
string
Example663372d769e1d1672c7595eb
status
string
Valid values[ "PENDING_ACCEPTANCE", "PENDING_SHIPPING", "SHIPPED", "DELIVERED" ]
ExamplePENDING_SHIPPING
lastUpdateTimestamp
integer (int64)
Example1763120222790
creationTimestamp
integer (int64)
Example1763120177055
approvalTimestamp
integer (int64) | null
Example1763120222790
first
boolean
last
boolean
totalPages
integer
totalElements
integer
sort
string
numberOfElements
integer
size
integer
number
integer
Minimum0.0
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error